For the latest news and information visit The GNU Crypto project

## javax.crypto.interfaces
Interface DHKey

All Known Subinterfaces:
  DHPrivateKey, DHPublicKey

All Known Implementing Classes:
  GnuDHKey, GnuDHPrivateKey, GnuDHPublicKey

public interface DHKey

The interface to a Diffie-Hellman key.

See Also:
  `DHParameterSpec`, `DHPublicKey`, `DHPrivateKey`

Method Summary
`DHParameterSpec` `getParams()` Returns the key parameters.

Method Detail

### getParams

    public DHParameterSpec getParams()

  Returns the key parameters.

  Returns:
    the key parameters

For the latest news and information visit The GNU Crypto project

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.